Subject: Re: Problems with using git

From: Andreas Ericsson <[email-masked]>
Date: Thu, 02 Mar 2006 02:24:14 +0100

Linus Torvalds wrote:
> 
> On Thu, 2 Mar 2006, Joseph Wakeling wrote:
> 
>>I'm using openSUSE 10.0 and the package installed is git-core version
>>0.99.3git20050905-2.
> 
> 
> I think your problems are just related to the fact that the tutorial is 
> newer than your git version.
> 
> Just fetch a newer version of git first (0.99.3 should be new enough to 
> happily fetch a newer version using git itself, but it might be easier to 
> just get a tar-ball), and you'll have an easier time at it.
> 

... and the way to fetch and install that repo with your current git is:

	$ git clone git://git.kernel.org/pub/scm/git/git.git git
	$ cd git && make all strip install

There are 2215 commits since 0.99.3, so I think you'll find much has 
changed since then.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231